Bug 832863 - [abrt] dosbox-0.74-3.fc16: __GI_raise: Process /usr/bin/dosbox was killed by signal 6 (SIGABRT)
[abrt] dosbox-0.74-3.fc16: __GI_raise: Process /usr/bin/dosbox was killed by ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dosbox (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:7b8a74ccadc2a96fc3ed4dc6df4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 00:38 EDT by Nicholas
Modified: 2013-02-13 03:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.38 KB, text/plain)
2012-06-18 00:38 EDT, Nicholas
no flags Details
File: Screenshot at 2012-06-18 00:12:17.png (322.12 KB, text/plain)
2012-06-18 00:38 EDT, Nicholas
no flags Details
File: maps (19.61 KB, text/plain)
2012-06-18 00:38 EDT, Nicholas
no flags Details
File: Screenshot at 2012-06-18 00:06:32.png (321.24 KB, text/plain)
2012-06-18 00:38 EDT, Nicholas
no flags Details
File: dso_list (4.42 KB, text/plain)
2012-06-18 00:38 EDT, Nicholas
no flags Details

  None (edit)
Description Nicholas 2012-06-18 00:38:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 3
cmdline:        dosbox
crash_function: __GI_raise
executable:     /usr/bin/dosbox
kernel:         3.3.8-1.fc16.x86_64
pid:            1796
pwd:            /home/shark
time:           Sun 17 Jun 2012 11:54:21 PM EDT
uid:            1000
username:       shark
xsession_errors: 

Screenshot at 2012-06-18 00:06:32.png: Binary file, 328947 bytes
Screenshot at 2012-06-18 00:12:17.png: Binary file, 329847 bytes
backtrace:      Text file, 15747 bytes
dso_list:       Text file, 4527 bytes
maps:           Text file, 20079 bytes

comment:
:Whenever I load a game, new or saved on a size 8 world, the game crashes.  The error I get is:
:DOS/4GW Professional error (2001): exception 06h (invalid opcoed) at 180:00803FF1
:TSF32: prev_tsf 6a10
:ss	188 ds	188 es	188 FS	0 GS	20
:EAX	0 EBX 4F000109 ECX	0 EDX	0
:ESI	10F9E EDI	1E16E1 EBP	1 ESP	1BE50C
:CS:IP	180:00803FF1	ID 06 COD	0 FLG	206
:CS= 180, USE32, PAGE GRANULAR, LIMIT FFFFFFFF, BASE	0, ACC CF9A
:SS= 188, USE32, PAGE GRANULAR, LIMIT FFFFFFFF, BASE	0, ACC CF92
:DS= 188, USE32, PAGE GRANULAR, LIMIT FFFFFFFF, BASE	0, ACC CF92
:ES= 188, USE32, PAGE GRANULAR, LIMIT FFFFFFFF, BASE	0, ACC CF92
:FS= 0, USE16, BYTE GRANULAR, LIMIT 0, BASE	16, ACC 0
:GS= 20, USE16, BYTE GRANULAR, LIMIT FFFF, BASE	1A20, ACC 93
:CR0: PG:0 ET:0 TS:0 EM:0 MP:0 PE:1	CR2: 0 CR3: 0
:
:C:\
:
:I get the same exact error on my Windows box, running Windows 7 pro 64bit running version .72 or .74.

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1490
:XDG_SESSION_ID=1
:HOSTNAME=genocide
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=linux
:XDG_SESSION_COOKIE=b1107650f607e1bf3124b9f600000011-1339972900.190515-1807955050
:HISTSIZE=1000
:IMSETTINGS_MODULE=none
:USER=shark
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-C4dovh/ssh
:PATH=/usr/lib64/ccache:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/shark/.local/bin:/home/shark/bin
:MAIL=/var/spool/mail/shark
:QT_IM_MODULE=xim
:PWD=/home/shark
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:HISTCONTROL=ignoredups
:HOME=/home/shark
:XDG_SEAT=seat0
:SHLVL=2
:LOGNAME=shark
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ORf7ctzdcU,guid=0502f60583cad1f59823461a00000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/shark
:DISPLAY=:0.0
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/home/shark/.Xauthority
:CCACHE_HASHDIR=
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1489,unix/unix:/tmp/.ICE-unix/1489
:GNOME_KEYRING_CONTROL=/tmp/keyring-C4dovh
:GPG_AGENT_INFO=/tmp/keyring-C4dovh/gpg:0:1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-dosbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1796

event_log:
:2012-06-18-00:22:18> Querying server settings
:2012-06-18-00:22:20  Preparing an archive to upload
:2012-06-18-00:22:27  Uploading 2 megabytes
:2012-06-18-00:22:37  Uploading 44%
:2012-06-18-00:22:45  Upload successful
:2012-06-18-00:22:57  Retrace job started
:2012-06-18-00:23:08  Analyzing crash data
:2012-06-18-00:23:19  Initializing virtual root
:2012-06-18-00:23:29  Initializing virtual root
:2012-06-18-00:23:40  Initializing virtual root
:2012-06-18-00:23:51  Initializing virtual root
:2012-06-18-00:24:06  Initializing virtual root
:2012-06-18-00:24:17  Initializing virtual root
:2012-06-18-00:24:28  Initializing virtual root
:2012-06-18-00:24:38  Initializing virtual root
:2012-06-18-00:24:49  Initializing virtual root
:2012-06-18-00:25:00  Initializing virtual root
:2012-06-18-00:25:15  Initializing virtual root
:2012-06-18-00:25:26  Initializing virtual root
:2012-06-18-00:25:36  Initializing virtual root
:2012-06-18-00:25:47  Initializing virtual root
:2012-06-18-00:25:57  Retrace job finished successfully
:2012-06-18-00:29:51> Element 'xsession_errors' saved
:2012-06-18-00:29:53> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 68a34f25-321a-43a8-97e2-1ee9c1f67c19
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5319.96
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D  CPU 2.66GHz
:CPU Stepping: 7
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 2666
:System Memory: 3450
:System Swap: 5503
:Vendor: PCCHIPS
:System: P53G 1.0
:Form factor: Desktop
:Kernel: 3.3.8-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4358:13170:4121:6983) pci, None, PCI/ISA, VT8237S PCI to ISA Bridge
:(4358:12548:4121:6983) pci, ehci_hcd, USB, USB 2.0
:(4358:12344:4121:6983) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:12344:4121:6983) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:12344:4121:6983) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:10366:4358:13182) pci, None, HOST/PCI, VT8251 Ultra VLINK Controller
:(4358:9060:4358:9060) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:13156:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:868:4358:868) pci, agpgart-via, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:4964:4358:4964) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:25444:4358:25444) pci, None, HOST/PCI, CN896/VN896/P4M900 Security Device
:(4358:29540:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:17252:4358:17252) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:45464:0:0) pci, None, PCI/PCI, VT8237/VX700 PCI Bridge
:(4358:21348:4358:21348) pci, None, BASE, CN896/VN896/P4M900 I/O APIC Interrupt Controller
:(6523:592:6523:592) pci, jme, ETHERNET, JMC250 PCI Express Gigabit Ethernet Controller
:(4358:12936:4121:6983) pci, snd_hda_intel, MULTIMEDIA, VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller)
:(4358:41828:4358:49955) pci, pcieport, PCI/PCI, CN896/VN896/P4M900 PCI to PCI Bridge Controller
:(4358:50020:4358:49955) pci, pcieport, PCI/PCI, CN896/VN896/P4M900 PCI to PCI Bridge Controller
:(4358:13169:2312:6517) pci, None, VIDEO, CN896/VN896/P4M900 [Chrome 9 HC]
:(4358:13179:0:0) pci, None, HOST/PCI, VT8237A Host Bridge
:(4358:12344:4121:6983) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:12389:4121:258) pci, via-rhine, ETHERNET, VT6102 [Rhine-II]
:(4358:21362:4121:6983) pci, sata_via, STORAGE, N/A
:(4358:1393:4121:6983) pci, pata_via, STORAGE, VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_genocide-lv_root / ext4 4096 4096 13081819 11731781 11076421 3276800 3132983 3132983
:/dev/sda2 /boot ext4 1024 1024 508745 427756 402156 128016 127786 127786
:/dev/mapper/vg_genocide-lv_home /home ext4 4096 4096 168319693 35563914 27139262 42123264 41684027 41684027
:

var_log_messages:
:Jun 17 22:43:16 genocide abrt[19664]: Saved core dump of pid 19652 (/usr/bin/dosbox) to /var/spool/abrt/ccpp-2012-06-17-22:43:13-19652 (122490880 bytes)
:Jun 17 22:46:57 genocide abrt[20041]: Saved core dump of pid 20035 (/usr/bin/dosbox) to /var/spool/abrt/ccpp-2012-06-17-22:46:54-20035 (122490880 bytes)
:Jun 17 23:54:24 genocide abrt[1803]: Saved core dump of pid 1796 (/usr/bin/dosbox) to /var/spool/abrt/ccpp-2012-06-17-23:54:21-1796 (122499072 bytes)
Comment 1 Nicholas 2012-06-18 00:38:21 EDT
Created attachment 592506 [details]
File: backtrace
Comment 2 Nicholas 2012-06-18 00:38:27 EDT
Created attachment 592507 [details]
File: Screenshot at 2012-06-18 00:12:17.png
Comment 3 Nicholas 2012-06-18 00:38:29 EDT
Created attachment 592508 [details]
File: maps
Comment 4 Nicholas 2012-06-18 00:38:35 EDT
Created attachment 592509 [details]
File: Screenshot at 2012-06-18 00:06:32.png
Comment 5 Nicholas 2012-06-18 00:38:37 EDT
Created attachment 592510 [details]
File: dso_list
Comment 6 Fedora End Of Life 2013-01-16 05:18:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 03:53:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.